### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
SwapRateHelper Class Reference

Rate helper for bootstrapping over swap rates. More...

`#include <ql/termstructures/yield/ratehelpers.hpp>`

Inheritance diagram for SwapRateHelper:
[legend]

List of all members.

## Public Member Functions

| SwapRateHelper (const Handle< Quote > &rate, const boost::shared_ptr< SwapIndex > &swapIndex, const Handle< Quote > &spread=Handle< Quote >(), const Period &fwdStart=0 *Days, const Handle< YieldTermStructure > &discountingCurve=Handle< YieldTermStructure >())

SwapRateHelper (const Handle< Quote > &rate, const Period &tenor, const Calendar &calendar, Frequency fixedFrequency, BusinessDayConvention fixedConvention, const DayCounter &fixedDayCount, const boost::shared_ptr< IborIndex > &iborIndex, const Handle< Quote > &spread=Handle< Quote >(), const Period &fwdStart=0 *Days, const Handle< YieldTermStructure > &discountingCurve=Handle< YieldTermStructure >())

| SwapRateHelper (Rate rate, const Period &tenor, const Calendar &calendar, Frequency fixedFrequency, BusinessDayConvention fixedConvention, const DayCounter &fixedDayCount, const boost::shared_ptr< IborIndex > &iborIndex, const Handle< Quote > &spread=Handle< Quote >(), const Period &fwdStart=0 *Days, const Handle< YieldTermStructure > &discountingCurve=Handle< YieldTermStructure >())
| SwapRateHelper (Rate rate, const boost::shared_ptr< SwapIndex > &swapIndex, const Handle< Quote > &spread=Handle< Quote >(), const Period &fwdStart=0 *Days, const Handle< YieldTermStructure > &discountingCurve=Handle< YieldTermStructure >())
RateHelper interface
Real | impliedQuote () const
void | setTermStructure (YieldTermStructure *)
SwapRateHelper inspectors
Spread | spread () const
boost::shared_ptr< VanillaSwap > | swap () const
const Period & | forwardStart () const
Visitability
void | accept (AcyclicVisitor &)

## Protected Member Functions

void | initializeDates ()

## Protected Attributes

Period | tenor_
Calendar | calendar_
BusinessDayConvention | fixedConvention_
Frequency | fixedFrequency_
DayCounter | fixedDayCount_
boost::shared_ptr< IborIndex > | iborIndex_
boost::shared_ptr< VanillaSwap > | swap_
RelinkableHandle < YieldTermStructure > | termStructureHandle_
Handle< Quote > | spread_
Period | fwdStart_
Handle< YieldTermStructure > | discountHandle_
RelinkableHandle < YieldTermStructure > | discountRelinkableHandle_

## Detailed Description

Rate helper for bootstrapping over swap rates.

Possible enhancements:
  use input SwapIndex to create the swap

Examples:
  Bonds.cpp, and swapvaluation.cpp.